Query cash statements

Query account cash statements. The date range defaults to today. page defaults to 1 and pageSize defaults to 20, with a maximum page size of 100.

Successful response

This REST endpoint uses code: 0 for success. The response includes data.page, data.pageSize, data.total, and data.statements. It also includes top-level requestId (which may be null) and timestamp (Unix milliseconds).

{  
  "code": 0,  
  "message": "success",  
  "data": {"page": 1, "pageSize": 20, "total": 0, "statements": \[]},  
  "requestId": null,  
  "timestamp": 1788924910858  
}

No matching records, including an account filter with no matching records, returns success with an empty statements array.

Validation errors

HTTP statusCodeCondition
400110011Invalid trade-date format; use YYYY-MM-DD
400110012fromTradeDate is later than toTradeDate
400110013pageSize exceeds 100

Validation errors contain code, message, data: null, requestId, and timestamp. See the response examples below.

Query Params
string

Account ID identifying the client account for the request.

string

Start trade date, YYYY-MM-DD. Defaults to today.

string

End trade date, YYYY-MM-DD. Defaults to today.

int32

Page number, starting at 1.

int32

≤ 100 Defaults to 20 Items per page; maximum 100.

Headers
string

Trace ID. Generated by the server if omitted.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json